/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define([
    'jquery',
    'ko',
    'uiComponent',
    'WriteTextAI_WriteTextAI/js/model/pro-badge'
], function ($, ko, Component, proBadge) {
    'use strict';

    return Component.extend({
        initObservable: function () {
            this._super()
                .observe([]);

            this.showBadge = ko.computed(function () {
                return proBadge.showBadge();
            }, this);

            return this;
        }
    });
}); 